Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class ConditionalExpression.GreaterThanOrEqualExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.BinaryExpression
              net.sf.dropboxmq.messageselector.ConditionalExpression
                  net.sf.dropboxmq.messageselector.ConditionalExpression.GreaterThanOrEqualExpression

Enclosing class:
  ConditionalExpression

    public static class ConditionalExpression.GreaterThanOrEqualExpression

extends ConditionalExpression

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.dropboxmq.messageselector.ConditionalExpression
`ConditionalExpression.EqualExpression, ConditionalExpression.GreaterThanExpression, ConditionalExpression.GreaterThanOrEqualExpression, ConditionalExpression.LessThanExpression, ConditionalExpression.LessThanOrEqualExpression, ConditionalExpression.NotEqualExpression`

Constructor Summary
`ConditionalExpression.GreaterThanOrEqualExpression(Expression left, Token leftToken, Expression right, Token rightToken)`

Method Summary
`protected Boolean` | `getValue(Object leftValue, Object rightValue)`

Methods inherited from class net.sf.dropboxmq.messageselector.ConditionalExpression
`checkExpressionsAreComparable, checkExpressionsAreComparable, compare, getValue, getValueClass, isOrdinalsOnly, newBetweenExpression`

Methods inherited from class net.sf.dropboxmq.messageselector.BinaryExpression
`getLeft, getRight, promote, toString`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionalExpression.GreaterThanOrEqualExpression

    public ConditionalExpression.GreaterThanOrEqualExpression(Expression left,
                                                              Token leftToken,
                                                              Expression right,
                                                              Token rightToken)
                                                       throws ParseException

Throws:
  `ParseException`

Method Detail

### getValue

    protected Boolean getValue(Object leftValue,
                               Object rightValue)

  Specified by:
    `getValue` in class `ConditionalExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD